Skip to content

Update Definition

PUT
/api/v1/workflows/definitions/{definition_id}

Update a workflow definition.

Authorizations

Parameters

Path Parameters

definition_id
required
string

Request Body required

Request body for updating a workflow definition.

All fields are optional — only provided fields are updated.

Attributes: name: Updated display name. description: Updated description. definition: Updated WorkflowDefinition dict. layout: Updated visual builder layout metadata. category: Updated category. icon: Updated icon identifier.

object
category
Any of:
string
definition
Any of:
object
key
additional properties
any
description
Any of:
string
icon
Any of:
string
layout
Any of:
object
key
additional properties
any
name
Any of:
string

Responses

200

Successful Response

object
key
additional properties
any

422

Validation Error

object
detail
Array<object>
object
ctx
object
input
loc
required
Array
msg
required
string
type
required
string